summaryrefslogtreecommitdiff
path: root/tcwg-llvm-release.sh
diff options
context:
space:
mode:
authorDiana Picus <diana.picus@linaro.org>2020-01-31 10:11:12 +0100
committerDiana Picus <diana.picus@linaro.org>2020-02-10 09:58:31 +0100
commit03a87b31a8fcd76b361dfc2fcb21b716413487a3 (patch)
treec16b0231e085021b4293a866ce6ac060ac6ec68b /tcwg-llvm-release.sh
parentc033dcfec92f0ac9935017e222e3fbeebd04d784 (diff)
tcwg-llvm-release.sh: Allow 2-digit majors
Allow the release version major to contain 2 digits (since we're at LLVM 10.0.0). Change-Id: I3f49be448791c5abf1f86476fc69d3d530e4f3c9
Diffstat (limited to 'tcwg-llvm-release.sh')
-rwxr-xr-xtcwg-llvm-release.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tcwg-llvm-release.sh b/tcwg-llvm-release.sh
index f8aeb1c7..a917d25d 100755
--- a/tcwg-llvm-release.sh
+++ b/tcwg-llvm-release.sh
@@ -42,7 +42,7 @@ while [ "$#" -gt 0 ]; do
case "$ARG" in
--release)
RELEASE="$VAL"
- if ! echo "$RELEASE" | grep -q "^[0-9]\\.[0-9]\\.[0-9]"; then
+ if ! echo "$RELEASE" | grep -E -q "^[0-9]+\\.[0-9]\\.[0-9]"; then
echo "ERROR: $1"
echo "Syntax: $SYN_RELEASE"
exit 1